Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.rrnaclassifier
Class HierarchyTree

    java.lang.Object
      edu.msu.cme.rdp.classifier.rrnaclassifier.HierarchyTree

    public class HierarchyTree

extends java.lang.Object

A HierarchyTree holds the taxonomic information of a taxon.

Field Summary
`private int` | `genusIndex` -1 means not a genus node.
`private int` | `leaveCount`
`private java.lang.String` | `name`
`private HierarchyTree` | `parent`
`private java.lang.String` | `rank`
`private java.util.List` | `subclasses`
`private int` | `taxid`

Constructor Summary
`HierarchyTree(java.lang.String n, int taxid, java.lang.String rank, int leaves, int gIndex)` Creates new HierarchyTree given the taxonomic information.

Method Summary
`(package private) void` | `addParent(HierarchyTree p)` Adds the parent HierarchyTree, also adds this node to the parent treenode as a child.
`private void` | `addSubclass(HierarchyTree c)` Adds a child treenode to subclass.
`(package private) int` | `getGenusIndex()` Gets the index of the genus treenode in the genusNodeList.
`(package private) int` | `getLeaveCount()` Gets the size of sequence leaves directly belong to this treenode.
`java.lang.String` | `getName()` Gets the name of the treenode.
`(package private) HierarchyTree` | `getParent()` Gets the parent treenode.
`java.lang.String` | `getRank()` Gets the rank of the treenode.
`(package private) int` | `getSizeofSubclasses()` Gets the list of the child treenodes.
`java.util.List` | `getSubclasses()` Gets the name of the treenode.
`int` | `getTaxid()` Gets the taxon id of the treenode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

### rank

    private java.lang.String rank

### taxid

    private int taxid

### leaveCount

    private int leaveCount

### parent

    private HierarchyTree parent

### subclasses

    private java.util.List subclasses

### genusIndex

    private int genusIndex

  -1 means not a genus node. If this node is a genus node, the genusIndex indicates the index of this node among all the genera

Constructor Detail

### HierarchyTree

    HierarchyTree(java.lang.String n,
                  int taxid,
                  java.lang.String rank,
                  int leaves,
                  int gIndex)

  Creates new HierarchyTree given the taxonomic information.

Method Detail

### addParent

    void addParent(HierarchyTree p)

  Adds the parent HierarchyTree, also adds this node to the parent treenode as a child.

### addSubclass

    private void addSubclass(HierarchyTree c)

  Adds a child treenode to subclass.

### getName

    public java.lang.String getName()

  Gets the name of the treenode.

### getParent

    HierarchyTree getParent()

  Gets the parent treenode.

### getRank

    public java.lang.String getRank()

  Gets the rank of the treenode.

### getTaxid

    public int getTaxid()

  Gets the taxon id of the treenode.

### getSubclasses

    public java.util.List getSubclasses()

  Gets the name of the treenode.

### getSizeofSubclasses

    int getSizeofSubclasses()

  Gets the list of the child treenodes.

### getLeaveCount

    int getLeaveCount()

  Gets the size of sequence leaves directly belong to this treenode.

### getGenusIndex

    int getGenusIndex()

  Gets the index of the genus treenode in the genusNodeList. Returns -1 if not a genus node.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD